import '../style/index.css';
import { LabIcon } from '@jupyterlab/ui-components';
import * as React from 'react';
/**
 * Expandable container props.
 */
export interface IExpandableActionButton {
    title: string;
    icon: LabIcon;
    onClick: Function;
}
export interface IExpandableComponentProps {
    displayName: string;
    tooltip: string;
    actionButtons: IExpandableActionButton[];
}
export interface IExpandableComponentState {
    expanded: boolean;
}
/**
 * A React component for expandable containers.
 */
export declare class ExpandableComponent extends React.Component<IExpandableComponentProps, IExpandableComponentState> {
    constructor(props: any);
    toggleDetailsDisplay(): void;
    render(): React.ReactElement;
}
