"use strict";
/*
 * Copyright 2018-2020 IBM Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const application_1 = require("@elyra/application");
const apputils_1 = require("@jupyterlab/apputils");
const React = __importStar(require("react"));
class PipelineSubmissionHandler extends application_1.SubmissionHandler {
    static exportPipeline(pipeline, pipeline_export_format, pipeline_export_path, overwrite) {
        console.log('Pipeline definition:');
        console.log(pipeline);
        console.log('Exporting pipeline to [' + pipeline_export_format + '] format');
        console.log('Overwriting existing file: ' + overwrite);
        const body = {
            pipeline: pipeline,
            export_format: pipeline_export_format,
            export_path: pipeline_export_path,
            overwrite: overwrite
        };
        this.makePostRequest('api/pipeline/export', JSON.stringify(body), 'export pipeline', (data) => {
            const dialogTitle = 'Pipeline export succeeded';
            const dialogBody = React.createElement("p", null);
            return apputils_1.showDialog({
                title: dialogTitle,
                body: dialogBody,
                buttons: [apputils_1.Dialog.okButton()]
            });
        });
    }
}
exports.PipelineSubmissionHandler = PipelineSubmissionHandler;
//# sourceMappingURL=submission.js.map